Snapchat help!

Hey guys. I'm on my iPod and wanted to download snapchat so I did. It downloaded, but when I tried to log in, it said that I needed to update my iPod and snapchat, but it says my iPod is up to date and for updating snapchat, it said that it wouldn't let me but I can use the old version but that's not woking! I'm so confused! Please help. If anyone knows what I'm talking about and this has happened to them, please tell me what you did to fix it. Thanks! If you help me, then I'll give you a shout out on my page!

Be the first to add this question to starred list!
▼Scroll down for more questions

Answers (3)

vote up or down the answers
0
Lana.Q
I think your iPad is to old...
on July 11
Report
0
sapphirethehedgehog
Hmm, I have this with my iPad with some apps, I just waited a while for it to catch up with itself and then it updates automatically, but I don't know with IPods, sorry ^.^U
Boymeetsworldfreak
Ok. It'd probably the same. Thanks! @sapphirethehedgehog
reply
sapphirethehedgehog
I hope so^.^ np
reply
on June 03
Report
on June 03
Report
on June 02
Report
0
Boymeetsworldfreak
And ps it lets me use Instagram on my iPod with no problem whatsoever, by not snapchat! This is so aggravating
on June 02
Report